Support » Plugin: Acunetix WP Security » [Plugin: WP Security Scan] Security Scan breaks Subscribe2 Mail Queue

  • Mail Queue gave this error message: WPMQ Error. The wp_mail() function already exists. This is likely to be caused by another plugin.

    I discovered that it was WP Security Scan causing the problem. The error message went away as soon as I disabled Security Scan.

    The Mail Queue developer said this, “Having just had a look at the [WP Security Scan] code, it’s because this plugin requires the WP core pluggable.php file on loading instead of using the action API. That means the pluggable code is called earlier than it should be.”

    Link to Forum Post.

    Hope you guys fix this soon.

    http://wordpress.org/extend/plugins/wp-security-scan/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Thanks Rick for letting us know about this issue! We’ll look into it and see what we can do about it.

    Thank you for your feedback!

    Hello, Rick!

    I have installed the http://wordpress.org/extend/plugins/subscribe2/ plug-in but couldn’t replicate that error…they both work just fine together…

    Edit:
    WP v3.2.1
    WP Security Scan v3.0.7
    Subscribe 2 v6.5

    The conflict is with the WP Mail Queue plugin. Info here.

    There are not many people who are going to use this plugin but since the developer claims that the conflict results from your not using the “action API”, I think it would be worthwhile to check it out and see if you should be using it.

    Hi RickA99,

    Thank you for your suggestion. We will definitely check them out.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Plugin: WP Security Scan] Security Scan breaks Subscribe2 Mail Queue’ is closed to new replies.